
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was GridToolsConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib/cmake/" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

get_filename_component(GRIDTOOLS_CONFIG_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

message(STATUS "GridTools version 1.0.2 found at ${GRIDTOOLS_CONFIG_CMAKE_DIR}")

include(CMakeFindDependencyMacro)
find_dependency(Boost 1.58)

if (ON)
    find_dependency(MPI COMPONENTS CXX)
    include("${PACKAGE_PREFIX_DIR}/lib/cmake/workaround_mpi.cmake")
    _fix_mpi_flags()
endif()

if (ON)
    find_dependency(OpenMP COMPONENTS CXX)
endif()

include("${GRIDTOOLS_CONFIG_CMAKE_DIR}/GridToolsTargets.cmake")

set(GRIDTOOLS_HAS_BACKEND_CUDA OFF)
set(GRIDTOOLS_HAS_BACKEND_MC ON)
set(GRIDTOOLS_HAS_BACKEND_X86 ON)
set(GRIDTOOLS_HAS_BACKEND_NAIVE ON)

# CUDA workaround
if(${CMAKE_CUDA_COMPILER_LOADED})
    if (${CMAKE_CUDA_COMPILER_VERSION} VERSION_GREATER_EQUAL "9.2" AND ${CMAKE_CUDA_COMPILER_VERSION} VERSION_LESS "10.1")
        target_compile_definitions(GridTools::gridtools INTERFACE BOOST_OPTIONAL_CONFIG_USE_OLD_IMPLEMENTATION_OF_OPTIONAL)
        target_compile_definitions(GridTools::gridtools INTERFACE BOOST_OPTIONAL_USE_OLD_DEFINITION_OF_NONE)
    endif()
endif()

if (GRIDTOOLS_ENABLE_PERFORMANCE_METERS)
    target_compile_definitions(GridTools::gridtools INTERFACE GT_ENABLE_METERS)
endif()

set_and_check(GridTools_MODULE_PATH ${PACKAGE_PREFIX_DIR}/lib/cmake)
set_and_check(GridTools_SOURCES_PATH ${PACKAGE_PREFIX_DIR}/src)
set_and_check(GridTools_INCLUDE_PATH ${PACKAGE_PREFIX_DIR}/include)

check_required_components(GridTools)
